@import "helpers";

:host {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  background: $white;
  padding: 20px;
  text-align: center;
}

.card {
  &__title {
    text-align: left;
    font-size: 18px;
    text-transform: lowercase;

    &:first-letter {
      text-transform: uppercase;
    }
  }

  &__img {
    margin-bottom: 10px;

    ::ng-deep svg {
      width: 150px;
      height: auto;
    }
  }

  &__footer {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    margin-top: auto;
    font-size: 0.75rem;
  }

  &__author {
    margin-right: 10px;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow-x: hidden;
    text-align: left;
    max-width: calc(100% - 80px);

    &:hover {
      text-decoration: underline;
    }
  }

  &__link {
    text-align: right;
    width: 70px;
    color: $red;

    &:hover {
      text-decoration: underline;
    }
  }
}
